import {TTreeSelectItem} from '../../../types/TTreeSelectObject';

export interface IDropdownItem {
    template:HTMLElement;
    setSubitemCreator(callback:()=>IDropdownItem): void;
    setOnClick(callback:(self:IDropdownItem)=>void): void;
    loadData(data:TTreeSelectItem): void;
    getData(): TTreeSelectItem;
    eventsListen(): void;
    toggleExpand(): void;
    getAlias(val:any): string;
}